<?PHP 

/**
 * Page for composing an E-Mail => For administrators only
 * 2005-08-31
 * Version 0.2
 * http://learn.tfh-berlin.de - ogrimm@tfh-berlin.de
 */


    require_once("../config.php");
    require_once("./lib.php");	
    require_once("../lib/moodlelib.php");

    require_variable($id);   		          // course
    require_variable($sel);			 		  // recipients (All, all teachers, all students, group or single selection);
    

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }
    require_login($course->id);

	if(!isadmin()){
        error("Permission denied");        
	}

	print_header("$course->shortname: ".get_string($sel, "email"), "$course->fullname",
				 "<A HREF=../course/view.php?id=$course->id>$course->shortname</A> -> ".
				 get_string("link","email"), "", "", true, "&nbsp;", navmenu($course));
	
	echo '<script src="compose.js" type="text/javascript"></script>';
    echo  '<form action="./sendmail.php" method="post" enctype="multipart/form-data" name="sendmailform">'; 
	
//	$db->debug = true;


	//-- Send mail to all course members, both students and teachers
	//--------------------------------------------------------------
	if($sel == "all") {
		// -- display teacher's names
		if ($teachers = get_course_teachers($course->id, $dir)) {
			$rec_teachers = get_full_user_names($teachers, $course);
		}
		// -- display student's names
	  	// Get all students of a given course  
		$students = get_course_students($course->id,$dir);
		// Get count over all students of a given course
		$totalcount = count_course_students($course, "", "", "", $currentgroup);
		//echo "Anzahl Empfaenger:" . $totalcount;
		if ($totalcount == 0) {
			$rec_students = get_string("nostudentsfound", "", $course->students);
		}
		else {
			$rec_students = get_full_user_names($students, $course);
		}
	//-- Send mail to all moodle users
	//--------------------------------------------------------------				
	} else if($sel == "admin_allusers") {
		// -- display student's names
		$str_recipients =  get_all_user_names();			

	//-- Send mail to all teachers
	//--------------------------------------------------------------		
	} else if($sel == "admin_allteachers") {
		// display teacher's names
		$str_recipients =  get_all_teachers_names();

	//-- Send mail to all course creators 
	//--------------------------------------------------------------				
	} else if($sel == "admin_allcoursecreators") {
		// -- display student's names
		$str_recipients =  get_all_course_creators_names();			

	//-- Send mail to all moodle students
	//--------------------------------------------------------------				
	} else if($sel == "admin_allstudents") {
		// -- display student's names
		$str_recipients =  get_all_student_names();			

	//-- Send mail to course groups
	//--------------------------------------------------------------	
	}
	// cancel if none of the above mentioned selection parameters is passed
	else { exit; }
?>
  	<input type="hidden" name="sel" value="<?php echo $sel; ?>">
  	<input type="hidden" name="id" value="<?php echo $id; ?>">
  	<input type="hidden" name="iid" value="<?php echo $iid; ?>">  	

	<h3><?php print_string($sel,"email"); ?></h3>
    <table  border="0" cellspacing="0" cellpadding="0"> 
      <tr align="left" valign="top"> 
        <td width="100"><span class="emphasis"><?php echo get_string("recipients","email"); ?>:</span> </td> 
        <td width="20">&nbsp;</td> 
        <td><?php echo ($str_recipients) ? $str_recipients : get_string("norecipientsfound","email"); ?></td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 

      <tr align="left" valign="top"> 
        <td width="100"><span class="emphasis"><?php print_string("sender", "email"); ?>:</span> </td> 
        <td width="20">&nbsp;</td> 
        <td><?php echo $USER->email; ?></td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 	  
	  <tr align="left" valign="top">
        <td>&nbsp;</td>
        <td width="20">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr align="left" valign="top"> 
        <td width="100"><span class="emphasis"><?php print_string("subject","email"); ?>:</span> </td> 
        <td width="20">&nbsp;</td> 
        <td><input name="subject" type="text" class="mailform" size="95"></td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100"><span class="emphasis"><?php print_string("message","email"); ?>: </span></td> 
        <td width="20">&nbsp;</td> 
        <td>
			<!-- WYSIWYG-Editor ... -->
			<?php if(can_use_html_editor() && $USER->htmleditor) { 
					print_textarea(can_use_html_editor() , 20, 50, 680, 400, "message");
					use_html_editor();
				} else {?>
				<textarea name="message" cols="71" rows="10" class="mailform" id="message" wrap=\"virtual\"></textarea>
		<?php } ?>		</td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td colspan="3"> <input name="sendcopy" type="checkbox" value="true" checked> 
          <?php print_string("sendcopy","email"); ?></td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100"><span class="emphasis"><?php print_string("attachment","email"); ?>:</span> </td> 
        <td width="20">&nbsp;</td> 
        <td> <input name="attachment" type="file" class="mailform"></td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td>&nbsp;</td> 
      </tr> 
      <tr align="left" valign="top"> 
        <td width="100">&nbsp;</td> 
        <td width="20">&nbsp;</td> 
        <td><input name="cancel" type="reset" value="<?php print_string("cancel","email"); ?>" onclick="JavaScript: history.back();"> 
        <input name="sendmail" type="submit" value="<?php echo print_string("send","email"); ?>"></td> 
      </tr> 
</table> 
    <p>&nbsp;</p> 
    <p>&nbsp;</p> 
  </form> 

<?php print_footer($course); ?>
