<?PHP

/// We use PHP so we can do value substitutions into the styles

    if (!isset($themename)) {
        $themename = NULL;
    }

    $nomoodlecookie = true;
    require_once("../config.php");
    $themeurl = style_sheet_setup(filemtime("styles.php"), 300, $themename);

/// From here on it's nearly a normal stylesheet.
/// First are some CSS definitions for normal tags,
/// then custom tags follow.
///
/// New classes always get added to the end of the file.
///
/// Note that a group of standard colours are all
/// defined in config.php in this directory.  The
/// reason for this is because Moodle uses the same
/// colours to provide oldstyle formatting for
/// browsers without CSS.
///
/// You can hardcode colours in this file if you
/// don't care about this.

?>

.emphasis {
	font-weight:bold;
	font-size:smaller;
}

#mail {
	margin-left:15%;
	width:70%;
	border-width:1px;
	border-color:<?PHP echo $THEME->cellheading?>; 
	border-style:solid;
	background-color:<?PHP echo $THEME->background?>; 
	padding:10px;
	font-size:smaller;
}

#mail td {
	font-size:smaller;
}

.subheadline {
	background-color:<?PHP echo $THEME->cellheading?>; 
	color:<?PHP echo $THEME->cellcontent?>;  
	display:block;
	margin: -10px -10px 10px -10px;
	padding:5px 5px 5px 10px;
}
.mailform {
	vertical-align:text-top;
	background-color:<?PHP echo $THEME->cellcontent2?>; 
	float: left;
}
