<?php
/**
 * MailApp-Block language file.
 * English Version
 * http://learn.tfh-berlin.de - ogrimm@tfh-berlin.de
 */

global $CFG,$course;

//Text for th bread crump navigation 
$string["link"] = "Send E-Mail";

// Config page strings
$string["config"] = "E-Mail configuration";
$string["configurations"] = "E-Mail settings for this course";
$string["teachersadminsonly"] = "This configuration page is for teachers and admins only!";
$string["save"] = "Save";
$string["studentsallowed"] = ($course->students ? $course->students : get_string("defaultcoursestudents","moodle"))." are allowed to send e-mails ...";
$string["configuredetails"] = "Control detailed addressing below";
$string["cfg_email_enabled"] = "E-Mail Options enabled" ;
$string["cfg_all_short"] = "... to ".get_string("defaultcourseteachers","moodle")." AND ".get_string("defaultcoursestudents","moodle")."." ;
$string["cfg_allteachers_short"] = "... to ".get_string("defaultcourseteachers","moodle")."." ;
$string["cfg_allstudents_short"] = "... to ".get_string("defaultcoursestudents","moodle")."." ;
$string["cfg_select_short"] = "... to selected ".get_string("people","moodle").".";
$string["cfg_groups_short"] = "... to selected group(s).";
$string["hint"] = "Warning: Block is unavailable for $course->students";


// error messages | hints
$string["notavailable"] = "This function is unavailable";
$string["noblockconfig"] = "Configuration is not available on site level!<br>Only admins can use the E-Mail block.";

//Headlines
$string["all"] = "E-Mail to all $course->teachers and $course->students." ;
$string["allteachers"] = "E-Mail to all $course->teachers." ;
$string["allstudents"] = "E-Mail to all $course->students." ;
$string["select"] = "E-Mail to selected $course->students and/or $course->students.";
$string["group"] = "E-Mail to selected group(s)";

//Text for the course block 
$string["all_short"] = "... to $course->teachers AND $course->students." ;
$string["allteachers_short"] = "... to $course->teachers." ;
$string["allstudents_short"] = "... to $course->students." ;
$string["select_short"] = "... to selected $course->students and/or $course->students.";
$string["groups_short"] = "... to selected group(s).";

$string["notavailable"] = "This function is disabled.";

//Text for the compose view
$string["sender"] = "Sender";
$string["subject"] = "Subject";
$string["message"] = "Message";
$string["attachment"] = "Attachment";
$string["browse"] = "Browse";
$string["cancel"] = "Cancel";
$string["send"] = "Send E-Mail";
$string["sendcopy"] = "Send a copy of this message to the sender address.";
$string["nogroups"] = "No groups found in this course!";

//Text for the send status report
$string["sendfailed"] = "Message could not be sent.!";
$string["back2course"] = "Go back to the course";
$string["norecipients"] = "Sorry, no recipients found, no mail delivered ....";
$string["attachmenterror"] = "An error occured while trying to recieve the file. Please try again.";
$string["sentsuccessfully"] = "Mail succesfully sent to ";
$string["recipientslist"] = "Recipients";
$string["faulty_recipientslist"] = "List of faulty recipients";
//$string[""] = "";

// Text for admin compose page
$string["admin_allteachers"] = "All moodle teachers";
$string["admin_allcoursecreators"] = "All course creators";
$string["admin_allusers"] = "All moodle users";
$string["admin_allstudents"] = "All moodle students";
$string["recipients"] = "Recipients";
$string["norecipientsfound"] = "Sorry, no recipients found.";



?>