<?php
/**
 * E-Mail-Block language file.
 * Dutch Version
 * http://learn.tfh-berlin.de - ogrimm@tfh-berlin.de
 * vertaling: kris at gonnissen dot com
 */

global $CFG, $course;

//broodkruimelnavigatie
$string["link"] = "E-mail versturen";

// Configuratiepagina
$string["config"] = "E-mailconfiguratie";
$string["configurations"] = "E-mailinstellingen voor deze cursus";
$string["teachersadminsonly"] = "Deze pagina is alleen toegankelijk voor leraren en beheerders!";
$string["save"] = "Opslaan";
$string["studentsallowed"] = ($course->students ? $course->students : get_string("defaultcoursestudents","moodle"))." mogen e-mails versturen.";
$string["configuredetails"] = "Verstuur berichten...";
$string["cfg_email_enabled"] = "E-mailfunctie geactiveerd" ;
$string["cfg_all_short"] = "... aan ".get_string("defaultcourseteachers","moodle")." EN ".get_string("defaultcoursestudents","moodle")."." ;
$string["cfg_allteachers_short"] = "... aan ".get_string("defaultcourseteachers","moodle")."." ;
$string["cfg_allstudents_short"] = "... aan ".get_string("defaultcoursestudents","moodle")."." ;
$string["cfg_select_short"] = "... aan geselecteerde ".get_string("people","moodle").".";
$string["cfg_groups_short"] = "... aan geselecteerde ".get_string("groups","moodle").".";
$string["hint"] = "Opgelet: blok is alleen toegankelijk voor $course->students";


// Blok alleen beschikbaar binnen vakken, niet op siteniveau
$string["notavailable"] = "Deze functie is alleen beschikbaar binnen een vak, niet op siteniveau.";
//ToDo:
$string["noblockconfig"] = "Geen configuratiemogelijkheden op siteniveau!<br>Alleen beheerders kunnen het e-mailblok beheren.";

//Titels
$string["all"] = "E-mail naar alle $course->teachers en $course->students." ;
$string["allteachers"] = "E-mail naar alle $course->teachers." ;
$string["allstudents"] = "E-mail naar alle $course->students." ;
$string["select"] = "E-mail naar geselecteerde $course->teachers en/of  $course->students.";
$string["group"] = "E-mail naar geselecteerde groep(en).";

//Tekst voor blok in de cursus
$string["all_short"] = "... naar $course->teachers EN $course->students." ;
$string["allteachers_short"] = "... naar $course->teachers." ;
$string["allstudents_short"] = "... naar $course->students." ;
$string["select_short"] = "... naar geselecteerde $course->teachers en/of $course->students.";
$string["groups_short"] = "... naar geselecteerde groep(en).";

$string["notavailable"] = "Deze functie is niet beschikbaar.";

//Mail opstellen
$string["sender"] = "Afzender";
$string["subject"] = "Onderwerp";
$string["message"] = "Berichttekst";
$string["attachment"] = "Bijlage";
$string["browse"] = "Bladeren";
$string["cancel"] = "Afbreken";
$string["send"] = "E-mail versturen";
$string["sendcopy"] = "Een kopie van het bericht naar de afzender sturen.";
$string["nogroups"] = "In deze cursus werden geen groepen gevonden.";


//$string[""] = "";

//Status van verzonden bericht
$string["sendfailed"] = "De mail kon niet verstuurd worden!";
$string["back2course"] = "Terug naar de cursus";
$string["norecipients"] = "Geen geadresseerden gevonden, mail niet verstuurd.";
$string["attachmenterror"] = "Fout bij openen van de bijlage. Probeer het nog eens.";
$string["sentsuccessfully"] = "Mail verzonden naar ";
$string["recipientslist"] = "Lijst van geadresseerden ";
$string["faulty_recipientslist"] = "Lijst met foutieve adressen";

// Tekst voor pagina mail opstellen - beheerders
$string["admin_allteachers"] = "Alle leraren";
$string["admin_allcoursecreators"] = "Alle cursus-aanmakers";
$string["admin_allusers"] = "Alle gebruikers";
$string["admin_allstudents"] = "Alle studenten";
$string["recipients"] = "Geadresseerden";
$string["norecipientsfound"] = "Sorry, geen geadresseerden gevonden.";


?>