<?php
/**
 * E-Mail-Block language file.
 * German Version
 * http://learn.tfh-berlin.de - ogrimm@tfh-berlin.de
 */

global $CFG, $course;

//Brotkruemmelnavigation
$string["link"] = "E-Mail senden";


// Konfigurationsseite
$string["config"] = "E-Mail Einstellungen";
$string["configurations"] = "E-Mail Einstellungen f&uuml;r diesen Kurs";
$string["teachersadminsonly"] = "Diese Seite ist nur f&uuml;r Lehrende und Administrierende!";
$string["save"] = "Speichern";
$string["studentsallowed"] = ($course->students ? $course->students : get_string("defaultcoursestudents","moodle"))." d&uuml;rfen E-Mails senden ... ";
$string["configuredetails"] = "Bei Bedarf k&ouml;nnen hier auch einzelne Adressierungsm&ouml;glichkeiten deaktiviert werden";
$string["cfg_email_enabled"] = "E-Mail senden aktivieren" ;
$string["cfg_all_short"] = "... an alle (".get_string("defaultcoursestudents","moodle")." und ".get_string("defaultcourseteachers","moodle").")" ;
$string["cfg_allteachers_short"] = "... an ".get_string("defaultcourseteachers","moodle")."." ;
$string["cfg_allstudents_short"] = "... an ".get_string("defaultcoursestudents","moodle")."." ;
$string["cfg_select_short"] = "... an ausgew&auml;hlte ".get_string("people","moodle").".";
$string["cfg_groups_short"] = "... an ausgew&auml;hlte ".get_string("groups","moodle").".";
$string["hint"] = "Hinweis: Block ist f&uuml;r $course->students deaktiviert";

// Fehlerhinweise
$string["notavailable"] = "Diese Funktion ist nicht verf&uuml;gbar.";
$string["noblockconfig"] = "Auf Site-Ebene gibt es keine Konfiguratuionsm&ouml;glichkeiten!<br>Nur Admins haben Zugriff auf den E-Mail Block.";

//Ueberschriften
//$string["all"] = "E-Mail an alle $course->teachers und $course->students." ;
$string["all"] = "E-Mail an alle $course->teachers und $course->students." ;
$string["allteachers"] = "E-Mail an alle $course->teachers." ;
$string["allstudents"] = "E-Mail an alle $course->students." ;
$string["select"] = "E-Mail an ausgew&auml;hlte $course->teachers und/oder  $course->students.";
$string["group"] = "E-Mail an ausgew&auml;hlte Gruppe(n) senden";

//Text fuer Anzeige im Kurs-Block
$string["all_short"] = "... an $course->teachers UND $course->students." ;
$string["allteachers_short"] = "... an $course->teachers." ;
$string["allstudents_short"] = "... an $course->students." ;
$string["select_short"] = "... an ausgew&auml;hlte $course->teachers und/oder  $course->students.";
$string["groups_short"] = "... an ausgew&auml;hlte Gruppe(n).";

$string["notavailable"] = "Die Funktion ist nicht verf&uuml;gbar!";

//Ubersetzungen fuer die E-Mail-Erstellen-Ansicht
$string["sender"] = "Absender";
$string["subject"] = "Betreff";
$string["message"] = "Nachricht";
$string["attachment"] = "Dateianhang";
$string["browse"] = "Auswhlen";
$string["cancel"] = "Abbrechen";
$string["send"] = "E-Mail senden";
$string["sendcopy"] = "Eine Kopie der Nachricht an die Absenderadresse senden.";
$string["nogroups"] = "In diesem Kurs wurden keine Gruppen gefunden!";


//$string[""] = "";

//Text fuer die Ausgabe des Sendeberichts
$string["sendfailed"] = "Die Mail konnte leider nicht versendet werden!";
$string["back2course"] = "Zur&uuml;ck zum Kurs";
$string["norecipients"] = "Es wurden keine Empf&auml;nger gefunden, es wurde keine E-Mail versendet ...";
$string["attachmenterror"] = "Beim Empfang des Anhangs ist ein Fehler aufgetreten. Bitte versuchen Sie es noch einmal.";
$string["sentsuccessfully"] = "Mail erfolgreich versandt an ";
$string["recipientslist"] = "Empfngerliste";
$string["faulty_recipientslist"] = "Liste der fehlgeschlagenen Empfnger";

// Text fuer die Admin Mail-Seite
$string["admin_allteachers"] = "Alle Moodle Lehrenden";
$string["admin_allcoursecreators"] = "Alle Kursersteller/innen";
$string["admin_allusers"] = "Alle Moodle Benutzer";
$string["admin_allstudents"] = "Alle Moodle Studierenden";
$string["recipients"] = "Empf&auml;nger";
$string["norecipientsfound"] = "Es wurden keine Empf&auml;nger gefunden";

?>